%define name    pgadmin3
%define version 1.6.2
%define release %mkrel 1
%define Summary Graphical client for PostgreSQL

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        Artistic
Group:          Databases
Source0:        %{name}-%{version}.tar.bz2
URL:            http://www.pgadmin.org/

BuildRequires:  wxgtku-devel >= 2.8
BuildRequires:  postgresql-devel
BuildRequires:  ImageMagick
BuildRequires:  libxslt-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PostgreSQL Tools.

%prep
%setup -q

%build
%configure
%make all

%install
rm -rf %{buildroot}
%makeinstall

cp -f src/include/images/elephant48.xpm %{buildroot}%{_datadir}/%{name}/%{name}.xpm
cp -f pkg/%{name}.desktop %{buildroot}/%{_datadir}/%{name}/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Databases;Database;
EOF

install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 src/include/images/elephant32.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -size 32x32 src/include/images/elephant32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 src/include/images/elephant48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/pgagent
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Mon Jan 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.6.2-1mdv2007.0
+ Revision: 111954
- New version 1.6.2
- Rebuild for broken deps (#28188)
- try to fix x86_64 build
- Rebuild
- Try to fix spec
- Fi BuildRequires
- New version 1.6.1 (close ticket 27520)

* Wed Aug 09 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4.3-1mdv2007.0
+ Revision: 54722
- Add missing File
- New release 1.4.3
- Fix for XDG menu
- import pgadmin3-1.4.2-1mdk


* Wed Mar 08 2006 Jerome Soyer <saispo@mandriva.org> 1.4.2-1mdk
- New release 1.4.2

* Fri Dec 16 2005 Olivier Thauvin <nanardon@mandriva.org> 1.4.1-1mdk
- 1.4.1

* Sun Nov 13 2005 Olivier Thauvin <nanardon@mandriva.org> 1.4.0-1mdk
- 1.4.0

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-3mdk
- Fix BuildRequires because of the use of convert => ImageMagick

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-2mdk
- Fix BuildRequires

* Wed Jul 27 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.2.2-1mdk
- initial release (club request)

